<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__l2cap__cfg__information__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_l2cap_cfg_information_t</compoundname>
    <includes local="no">wiced_bt_l2c.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1a14d7acfffa5a30489df9946b721fdbf4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_cfg_information_t::result</definition>
        <argsstring />
        <name>result</name>
        <briefdescription>
<para>Only used in confirm messages. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="117" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="117" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1a02c533f5b961c30e86f47c82ddeb0afb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_cfg_information_t::mtu_present</definition>
        <argsstring />
        <name>mtu_present</name>
        <briefdescription>
<para>TRUE if MTU option present. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="118" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="118" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1aa1fa6092e613837e80ab278a956647c7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_cfg_information_t::mtu</definition>
        <argsstring />
        <name>mtu</name>
        <briefdescription>
<para>Maximum transmission unit size. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="119" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="119" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1a1d2c893de731a828f45f761ebcd549db" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_cfg_information_t::qos_present</definition>
        <argsstring />
        <name>qos_present</name>
        <briefdescription>
<para>QoS configuration present. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="120" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="120" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1a4908ef593e7ee9a7c0f12c1fdb5c9e73" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__flow__spec__t">wiced_bt_flow_spec_t</ref></type>
        <definition>wiced_bt_flow_spec_t wiced_bt_l2cap_cfg_information_t::qos</definition>
        <argsstring />
        <name>qos</name>
        <briefdescription>
<para>QoS configuration. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="121" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="121" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1a02fac97e495a16dedb41d26b58822389" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_cfg_information_t::flush_timeout_present</definition>
        <argsstring />
        <name>flush_timeout_present</name>
        <briefdescription>
<para>TRUE if flush option present. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="122" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="122" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1a1d7849e9c6ddf49a2fb4992a5e686e5e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_cfg_information_t::flush_timeout</definition>
        <argsstring />
        <name>flush_timeout</name>
        <briefdescription>
<para>Flush timeout value (1 msec increments) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="123" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="123" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1a8944919f00473bd84f6e8a5897a7dd26" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_cfg_information_t::fcr_present</definition>
        <argsstring />
        <name>fcr_present</name>
        <briefdescription>
<para>TRUE if Enhanced retransmission &amp; flow control option present. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="124" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="124" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1afd9f7f32ecd27114d03ab7d2b1e04b28" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__l2cap__fcr__options__t">wiced_bt_l2cap_fcr_options_t</ref></type>
        <definition>wiced_bt_l2cap_fcr_options_t wiced_bt_l2cap_cfg_information_t::fcr</definition>
        <argsstring />
        <name>fcr</name>
        <briefdescription>
<para>Enhanced flow control and retransmission parameters. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="125" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="125" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1a37121d4e493efff8598eda6eba463bf1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_cfg_information_t::fcs_present</definition>
        <argsstring />
        <name>fcs_present</name>
        <briefdescription>
<para>TRUE if Frame check sequence option present. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="126" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="126" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1a6c24d4a8a3e14d9442a4f4950f6f0b74" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_l2cap_cfg_information_t::fcs</definition>
        <argsstring />
        <name>fcs</name>
        <briefdescription>
<para>'0' if desire is to bypass FCS, otherwise '1' </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="127" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="127" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__cfg__information__t_1af744cf7eea18a1e0faf24bb95ec8c3cd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_cfg_information_t::flags</definition>
        <argsstring />
        <name>flags</name>
        <briefdescription>
<para>bit 0: 0-no continuation, 1-continuation </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="128" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="128" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Define a structure to hold the configuration parameters. </para>
    </briefdescription>
    <detaileddescription>
<para>Since the parameters are optional, for each parameter there is a boolean to use to signify its presence or absence. Refer to Volume 3, Part A, section 5.4 of BT Core specification for details </para>
    </detaileddescription>
    <collaborationgraph>
      <node id="556">
        <label>wiced_bt_l2cap_fcr_options_t</label>
        <link refid="structwiced__bt__l2cap__fcr__options__t" />
      </node>
      <node id="554">
        <label>wiced_bt_l2cap_cfg_information_t</label>
        <link refid="structwiced__bt__l2cap__cfg__information__t" />
        <childnode refid="555" relation="usage">
          <edgelabel>qos</edgelabel>
        </childnode>
        <childnode refid="556" relation="usage">
          <edgelabel>fcr</edgelabel>
        </childnode>
      </node>
      <node id="555">
        <label>wiced_bt_flow_spec_t</label>
        <link refid="structwiced__bt__flow__spec__t" />
      </node>
    </collaborationgraph>
    <location bodyend="129" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="115" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="116" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1afd9f7f32ecd27114d03ab7d2b1e04b28" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>fcr</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1a8944919f00473bd84f6e8a5897a7dd26" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>fcr_present</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1a6c24d4a8a3e14d9442a4f4950f6f0b74" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>fcs</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1a37121d4e493efff8598eda6eba463bf1" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>fcs_present</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1af744cf7eea18a1e0faf24bb95ec8c3cd" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>flags</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1a1d7849e9c6ddf49a2fb4992a5e686e5e" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>flush_timeout</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1a02fac97e495a16dedb41d26b58822389" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>flush_timeout_present</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1aa1fa6092e613837e80ab278a956647c7" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>mtu</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1a02c533f5b961c30e86f47c82ddeb0afb" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>mtu_present</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1a4908ef593e7ee9a7c0f12c1fdb5c9e73" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>qos</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1a1d2c893de731a828f45f761ebcd549db" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>qos_present</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__cfg__information__t_1a14d7acfffa5a30489df9946b721fdbf4" virt="non-virtual"><scope>wiced_bt_l2cap_cfg_information_t</scope><name>result</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>